Bug Hunting Session
Bug 39440 - cppcheck cleanliness
Summary: cppcheck cleanliness
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL: http://dev-builds.libreoffice.org/cpp...
Whiteboard: target:5.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2011-07-21 08:22 UTC by Björn Michaelsen
Modified: 2017-02-14 08:58 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch to avoid unreachable code errors reported (6.03 KB, patch)
2012-06-07 10:41 UTC, Martyn Russell
Details
Patch to avoid unused variable warnings reported (5.25 KB, patch)
2012-06-07 11:23 UTC, Martyn Russell
Details
Patch to fix C-style Cast (4.30 KB, text/plain)
2012-07-24 00:29 UTC, sanjay_ssubramanian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-07-21 08:22:02 UTC
=== cppcheck cleanliness ===

'''Background:''' There is a great tool: http://sourceforge.net/projects/cppcheck/ that can help identify bad-looking pieces of code. We should run the latest version on the codebase, identify false positives, and clean the code to fix bugs, and avoid warnings.

'''NOTE:''' cppcheck (git version) runs against current LibreOffice git repos are updated every 4 hours or so at [http://libreoffice.boldandbusted.com/ http://libreoffice.boldandbusted.com/].

'''WARN''': The repository are not updated (25-03-2011)

'''Skills:''' build, simple C++
Comment 1 Philipp Weissenbacher 2011-08-10 17:24:23 UTC
The site at http://libreoffice.boldandbusted.com/ is usable again.
Comment 2 Martyn Russell 2012-06-07 10:41:40 UTC
Created attachment 62750 [details]
Patch to avoid unreachable code errors reported

Hi all, this is my first LibreOffice patch, want to get a bit more involved if I can. Thought I would start somewhere easy. Comments appreciated. :)

More to follow if this goes well.
Comment 3 Martyn Russell 2012-06-07 11:23:55 UTC
Created attachment 62755 [details]
Patch to avoid unused variable warnings reported
Comment 4 Caolán McNamara 2012-06-11 07:35:46 UTC
can you mail your patches to libreoffice@lists.freedesktop.org for wider review please ?
Comment 5 Martyn Russell 2012-06-11 08:36:32 UTC
Yea, I will.

Will do a few more patches first.
Comment 6 Michael Meeks 2012-06-12 04:11:04 UTC
Merged the patches to master; it's really best to keep this bug reasonably quiet though: there are tons of cppcheck errors to go still :-)
Comment 7 Michael Stahl (CIB) 2012-07-06 13:50:07 UTC
Comment on attachment 62750 [details]
Patch to avoid unreachable code errors reported

patch found integrated as 4019acf2974b58210ffc1b1975720553e7b5d337
setting "obsolete" flag so it does not show up in bugzilla queries.
Comment 8 Michael Stahl (CIB) 2012-07-06 13:51:58 UTC
Comment on attachment 62755 [details]
Patch to avoid unused variable warnings reported

patch found integrated as d2a02df2f9725a1884131c0ab415a2b122a44420
setting "obsolete" flag so it does not show up in bugzilla queries.
Comment 9 mandeep624@gmail.com 2012-07-09 19:32:26 UTC
hi...i am new contributer and want to solve this bug...where should i start????
Comment 10 Caolán McNamara 2012-07-13 09:53:17 UTC
grab the lastest version of cppcheck from comment #1 and/or look through http://libreoffice.boldandbusted.com/ and try and fix them and follow 
http://wiki.documentfoundation.org/Development/Patch_Handling_Guidelines to submit your patches to us
Comment 11 sanjay_ssubramanian 2012-07-24 00:29:46 UTC
Created attachment 64577 [details]
Patch to fix C-style Cast

Hi Guys,
I'm really new at Open Source Development in general but am interested in helping. Please let me know if my patch is correct/on the right track and, if so, what I have to do next other than fixing more bugs. Please let me know if I am doing something wrong. I looked on the boldandbusted URL to find a problem and tried to fix it. I replaced a C-style casting statement with a C++-style casting statement. However, I could not get the cppcheck program to work properly on my computer, so please tell me if I have done something wrong.

Thanks for your help.
Comment 12 David Tardon 2012-07-24 07:08:13 UTC
(In reply to comment #11)
> Created attachment 64577 [details] [review]
> Patch to fix C-style Cast

Some notes:

1. Please do not send whole changed files; use git format-patch to get a patch

2. Please do not attach patches to bugzilla, especially not partial fixes for long-living bugs like this one. Either send them to libreoffice@lists.freedesktop.org (with [PATCH] in subject) or use gerrit (https://wiki.documentfoundation.org/Development/gerrit)

3. Your fix is actually wrong. The pointer is tested for being non-null at the following line, which implies that the cast can fail. That again implies that dynamic_cast must be used.
Comment 13 sanjay_ssubramanian 2012-07-24 16:12:29 UTC
(In reply to comment #12)
Sorry about that. I will go about submitting patches correctly in the future. Thanks for your help.
> (In reply to comment #11)
> > Created attachment 64577 [details] [review]
> > Patch to fix C-style Cast
> 
> Some notes:
> 
> 1. Please do not send whole changed files; use git format-patch to get a patch
> 
> 2. Please do not attach patches to bugzilla, especially not partial fixes for
> long-living bugs like this one. Either send them to
> libreoffice@lists.freedesktop.org (with [PATCH] in subject) or use gerrit
> (https://wiki.documentfoundation.org/Development/gerrit)
> 
> 3. Your fix is actually wrong. The pointer is tested for being non-null at the
> following line, which implies that the cast can fail. That again implies that
> dynamic_cast must be used.
Comment 14 Not Assigned 2012-12-30 01:17:51 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5132e30fb09477aa46d810dd86727b3aa8cf20e

fdo#39440 - cppcheck cleanliness



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Not Assigned 2012-12-30 23:36:46 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b1da9e650db388baa6d649219e2a0e45b58f062

fdo#39440 - cppcheck cleanliness



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Thomas Arnhold 2013-10-04 14:33:53 UTC
Here are the latest reports: http://dev-builds.libreoffice.org/cppcheck_reports/
Comment 17 Björn Michaelsen 2013-10-04 18:47:53 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 18 Commit Notification 2014-01-29 22:19:17 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c634faf12886228754eb59ec9bedf6cd6f631054

fdo#39440 - cppcheck cleanliness



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2014-03-05 11:12:45 UTC
Mihai Varga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=888cf44109a515982162f836d88b0c08624d3913

fdo#39440 the sSymName parameter is now passed by reference



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Michael Weghorn 2014-12-06 20:58:11 UTC
An up-to-date version of the cppcheck report seems to be available here: http://dev-builds.libreoffice.org/cppcheck_reports/master/
Comment 21 Julien Nabet 2014-12-07 08:21:53 UTC
(In reply to Michael Weghorn from comment #20)
> An up-to-date version of the cppcheck report seems to be available here:
> http://dev-builds.libreoffice.org/cppcheck_reports/master/
Yes, I'm trying to update it once a week.
Comment 22 Commit Notification 2014-12-09 03:21:25 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=141469eb831c054d6f4b56fcaa50a03e52429f11

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2014-12-09 03:26:05 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54cbb57d4c3ccf1e1c8455ac413183edbdeb3416

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2014-12-09 05:23:08 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f6af01f13460909e7c3819e14edb2eb04788156

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-12-12 08:09:55 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04b183a9bc792a53a9f081353a79486faa4f3872

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2014-12-14 11:27:52 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec382367c8dd90a0cd728fb18c03c186416bbaee

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2014-12-14 11:33:39 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1fcafb4ac234e8d9912d3bb6be978a6509593e3

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2014-12-14 12:08:07 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c70d907c6bac7720338207355e41724ba1e97781

fdo#39440 remove unused variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2014-12-14 12:22:39 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c363adcbae442d1e56409be466f4c514b89d89a

fdo#39440 eliminate redundant condition

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2014-12-15 06:44:52 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aba7f4c0a3527ce0cee6e18385cf69778052402d

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2014-12-16 20:43:15 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38b8c1e8804c8556e71e1ec7c1f1350d75dc04bf

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2014-12-17 07:32:24 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afb5143639598bdc7f78ba000569d80e10d0fbe4

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2014-12-17 07:33:44 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e31657a1eaad12de1ad89aec5b50f8116f67fa3e

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2014-12-18 06:07:38 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=652e09f734fefb9b49787e8e565d235d504a1e73

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2014-12-18 06:40:13 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a23f6eb3ae49dfc326c6e57a8ab95a840c0661d2

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2014-12-19 11:00:56 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d41bc0f7b328ed6c69b2c2822de00165cdc62c61

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2014-12-19 13:49:56 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5712983f18e7cdec16ea20a9b3d94a1586de543e

fdo#39440 rsc: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2014-12-19 13:52:23 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ee336fb556ceb1d7e1ee8017c27539da7fe543b

fdo#39440 sal: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2014-12-20 09:19:38 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8abd002240e8d7666300bf6fa832a28988e9ed0a

fdo#39440 sax, sc: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2014-12-21 10:37:59 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea5effc3df7b89a9332ea5b1b1e6cd40bf37f081

fdo#39440 sc: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2014-12-21 18:08:22 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8870e068cc7368ffa14a6938836b370d2a188b64

fdo#39440 sc: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2014-12-21 19:19:54 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17fc7aa3b8fcd731fb05b5e17e23ee984d166a8f

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2014-12-21 20:16:16 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb7c18884223f08818b44a9953b55c69a029c71c

fdo#39440 sd: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2014-12-23 05:54:19 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea644f0e90d0c9585e73bdec240908803a38d4a6

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2015-01-03 10:32:20 UTC
Łukasz Hryniuk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b33cd811cb5456a146916ee374aaf1ce11b2031e

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2015-01-07 06:47:43 UTC
Łukasz Hryniuk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fd89a5952a48b473cee03a2681eb5d4cd6d1742

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2015-01-12 06:46:35 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5f48d742ac1fea9fd341244bbcea09bcd78b476

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2015-01-14 20:43:47 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c752d8bdf099b4ba2ef2e145e0d9da42ba7e74d7

fdo#39440 svx: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2015-01-14 20:45:09 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba3f0cfecdddf0275278987a75b5ee620744eb84

fdo#39440 svx: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2015-01-16 09:00:49 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ccaa5519cb978a640caa22ce2bcbd6c54fa44e26

fdo#39440 sw: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2015-01-19 06:16:39 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1aecd4353bd6ac3961a30df67de78f4b8f0a66b

fdo#39440 sw: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2015-01-19 06:19:08 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1fb4ac1991a8da2e527b64a0a01a88a8f2959e3

fdo#39440 sw: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2015-01-19 06:19:12 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5901827bd44dc3600bf66c83882e6847439d59d6

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2015-01-19 06:20:36 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f01eb5d7a3927d31b7dd268562a59e3dacdd8e8

fdo#39440 vcl: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2015-01-19 06:49:28 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5f7a69628ad316298febe7b51234428a7896ff9

fdo#39440 vcl: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2015-01-19 07:16:17 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54defd1bd3359c95e45891c7294847d0cebca753

fdo#39440 sw: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2015-01-19 07:22:03 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec9c7ebb575b592e188c5f6b545570b11744d063

fdo#39440 vcl: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2015-01-19 08:38:44 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08f9bd504de9bcb267a0e71b07759080592bd0d8

fdo#39440 sw: reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2015-01-19 08:40:09 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfe79b50bce44707cb2416e6ff6b7441491967bb

fdo#39440 reduce scope of local variables

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2015-02-05 07:26:02 UTC
Juan Picca committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e1d28efb3d314d553e970f197f19636ce4e0ded

fdo#39440: replace C-style cast's

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2015-02-06 22:12:03 UTC
Juan Picca committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90613f4e47e5e113e5fafb573d832bfcace314e5

fdo#39440: remove redundant checks and breaks

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2015-03-23 08:51:40 UTC
Michael Dunphy committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da631972229389d40e0502e02ff4e2c0761ca3fc

fdo#39440 cppcheck cleanliness

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2015-03-26 14:32:10 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69c2825708d1e78225ad2f515b792734443d8247

tdf#39440 cppcheck cleanliness, Fixing basic cpp errors

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2015-08-21 22:25:43 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=373e71ee65a90daa9a27ff5bb7a3d6c867e4f393

tdf#39440 reduce scope of local variables

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2015-08-22 13:02:44 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25accda781bc0bc79ca2e887c54ca981068bf407

tdf#39440 reduce scope of local variables

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2015-08-22 13:05:03 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e318570dc0c0878bfd2a960230a26f7e5fe2bcf

tdf#39440 reduce scope of local variables

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2015-08-23 06:03:01 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b712b1f63492a311e4a51cffd516b3e202a140e6

tdf#39440 cppcheck: redundantAssignment

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2015-08-23 06:04:20 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90b086e480a83c62edafaf13bdf4a02079a7860c

tdf#39440 reduce variable scope, adapt indentation

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2015-08-23 06:05:37 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9beb2bedc0f65b90cd35f7fa6c9b53ee6729a0c4

tdf#39440 sc: reduce scope of local variables

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2015-10-25 22:33:03 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b018d202dfcf4bb16b708e10085a4146243b0a0

tdf#39440: fix several warnings reported by cppcheck

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Robinson Tryon (qubit) 2015-12-14 06:34:06 UTC Comment hidden (obsolete)
Comment 72 Commit Notification 2016-02-16 12:49:28 UTC
Arnold Dumas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd3cb8d8222113cbc7bf472060ac77233706ea1f

tdf#39440: reduce scope of local variables

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 73 Robinson Tryon (qubit) 2016-02-18 14:52:33 UTC Comment hidden (obsolete)
Comment 74 jani 2016-04-18 07:57:18 UTC
If this patch is still open, a fresh code pointer is needed
Comment 75 Julien Nabet 2016-04-18 18:10:54 UTC
(In reply to jan iversen from comment #74)
> If this patch is still open, a fresh code pointer is needed

I updated the url field so everyone can access the latest report.
Comment 76 Commit Notification 2016-06-08 06:03:56 UTC
Gökhan Gurbetoğlu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b197594d8786a486b15cab0db78a5ac78a227bc

tdf#39440 Reduced the scope of the variable c

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 jani 2016-06-14 09:54:46 UTC
Seem solved
Comment 78 Commit Notification 2016-07-05 09:36:08 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6b34d538398f8214daa5b160f764dc8b82ff9c5

Clarify calculation precedence tdf#39440

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.